.projectDetails > a i,
.buttonsclass,
.watchlive {
  transition: all 0.3s ease;
}

/* ====================== Hover Effects ============================== */
.watchlive:hover {
  border: 0.5px solid var(--WhiteColor);
  opacity: 0.5;
  transform: scale(0.9);
}
.buttonsclass:hover {
  border: 2px solid var(--WhiteColor);
  box-shadow: none;
  color: var(--mainColor);
  transform: translateX(0) scale(0.9);
}

.NameText .toAnimate:nth-child(1) {
  animation-delay: 0.3s;
} /* S */
.NameText .toAnimate:nth-child(2) {
  animation-delay: 0.5s;
} /* A */
.NameText .toAnimate:nth-child(3) {
  animation-delay: 0.6s;
} /* J */
.NameText .toAnimate:nth-child(4) {
  animation-delay: 0.4s;
} /* J */
.NameText .toAnimate:nth-child(5) {
  animation-delay: 0.7s;
} /* A */
.NameText .toAnimate:nth-child(6) {
  animation-delay: 0.2s;
} /* D */
.NameText .toAnimate:nth-child(7) {
  animation-delay: 0.6s;
} /* space */
.NameText .toAnimate:nth-child(8) {
  animation-delay: 0.4s;
} /* A */
.NameText .toAnimate:nth-child(9) {
  animation-delay: 0.5s;
} /* H */
.NameText .toAnimate:nth-child(10) {
  animation-delay: 0.7s;
} /* M */
.NameText .toAnimate:nth-child(11) {
  animation-delay: 0.3s;
} /* E */
.NameText .toAnimate:nth-child(12) {
  animation-delay: 0.6s;
} /* D */ 

.titleText .toAnimate:nth-child(1) {
  animation-delay: 0.3s;
} /* W */
.titleText .toAnimate:nth-child(2) {
  animation-delay: 0.4s;
} /* e */
.titleText .toAnimate:nth-child(3) {
  animation-delay: 0.5s;
} /* b */
.titleText .toAnimate:nth-child(4) {
  animation-delay: 0.6s;
} /* space */
.titleText .toAnimate:nth-child(5) {
  animation-delay: 0.7s;
} /* D */
.titleText .toAnimate:nth-child(6) {
  animation-delay: 0.8s;
} /* e */
.titleText .toAnimate:nth-child(7) {
  animation-delay: 0.9s;
} /* v */
.titleText .toAnimate:nth-child(8) {
  animation-delay: 1s;
} /* e */
.titleText .toAnimate:nth-child(9) {
  animation-delay: 1.1s;
} /* l */
.titleText .toAnimate:nth-child(10) {
  animation-delay: 1.2s;
} /* o */
.titleText .toAnimate:nth-child(11) {
  animation-delay: 1.3s;
} /* p */
.titleText .toAnimate:nth-child(12) {
  animation-delay: 1.4s;
} /* e */
.titleText .toAnimate:nth-child(13) {
  animation-delay: 1.5s;
} /* r */
.titleText .toAnimate:nth-child(14) {
  animation-delay: 1.6s;
} /* space */
.titleText .toAnimate:nth-child(15) {
  animation-delay: 1.7s;
} /* & */
.titleText .toAnimate:nth-child(16) {
  animation-delay: 1.8s;
} /* space */
.titleText .toAnimate:nth-child(17) {
  animation-delay: 1.9s;
} /* D */
.titleText .toAnimate:nth-child(18) {
  animation-delay: 2s;
} /* e */
.titleText .toAnimate:nth-child(19) {
  animation-delay: 2.1s;
} /* s */
.titleText .toAnimate:nth-child(20) {
  animation-delay: 2.2s;
} /* i */
.titleText .toAnimate:nth-child(21) {
  animation-delay: 2.3s;
} /* g */
.titleText .toAnimate:nth-child(22) {
  animation-delay: 2.4s;
} /* n */
.titleText .toAnimate:nth-child(23) {
  animation-delay: 2.5s;
} /* e */
.titleText .toAnimate:nth-child(24) {
  animation-delay: 2.6s;
} /* r */



@media screen and (min-width: 768px) {
  .buttonsclass:hover {
    border: 2px solid transparent;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.5),
      -1px -1px 20px rgba(18, 18, 18, 0.5);
    color: var(--WhiteColor);
  }

  .buttonsclass:hover::before {
    width: calc(100% + 1px);
    height: calc(100% + 10px);
  }

  .socialMedia li a:hover i {
    color: var(--mainColor);
    transform: scale(1.1, 1.1);
  }

  /* ====================== animations delay ============================== */

  #aboutheading {
    animation-delay: 0.2s;
  } /* aboutheading */
  #tagline {
    animation-delay: 0.3s;
  } /* tagline */
  #aboutDesciption {
    animation-delay: 0.4s;
  } /* aboutDescription */
  #contactButton {
    animation-delay: 0.5s;
  } /* contactButton */

  #HTML {
    animation-delay: 0s;
  } /* #HTML */
  #CSS {
    animation-delay: 0.3s;
  } /* #CSS */
  #Javascript {
    animation-delay: 0.5s;
  } /*  #Javascript */

   /* project cards */

  .projectCards:nth-child(2) {
    animation-delay: 0.3s;
  }

  .projectCards:nth-child(3) {
    animation-delay: 0.6s;
  }

  .projectCards:nth-child(4) {
    animation-delay: 0.9s;
  }
}

/* ====================== Animations/keyframes ============================== */

@keyframes titleTextAnimation {
  0%,
  90%,
  100% {
    color: var(--mainColor);
    opacity: 1;
  }

  40% {
    color: var(--WhiteColor);
  }

  50% {
    color: var(--WhiteColor);
    opacity: 0;
  }
}

@keyframes NameTextAnimation {
  50% {
    color: rgb(197, 197, 197);
  }
  100% {
    opacity: 1;
    color: rgb(197, 197, 197);
  }
}

@keyframes slid-in {
  100% {
    opacity: 1;
    transform: translateX(0px) scale(1);
  }
}

@keyframes skillsRange {
  from {
    width: 0;
  }
  to {
    width: var(--width);
  }
}
